import { PipelineStepAttributes, PipelineStepConnectionAttributes } from '@jfrog-pipelines/types';
import { RunWorkerPayload } from './RunWorker';
declare type TriggersByPipelineStepId = {
    [key: PipelineStepConnectionAttributes['pipelineStepId']]: {
        resourceVersionId: number;
        resourceId: number;
    };
};
declare type CreateRunPayload = {
    jFrogPipelinesSessionId: string;
    inPayload: RunWorkerPayload;
    pipelineId: PipelineStepAttributes['pipelineId'];
    stepList: PipelineStepAttributes[];
    triggersByPipelineStepId: TriggersByPipelineStepId;
}[];
export declare class QualifiedPipelines {
    private readonly workerPayload;
    private readonly syncRespository;
    private readonly stepRepository;
    private triggerablePipelineSteps;
    private triggerablePipelineStepIds;
    private readonly triggersByPipelineStepId;
    constructor(workerPayload: RunWorkerPayload);
    getCreateRunPayload(): Promise<CreateRunPayload>;
    private getVersionCreatedBySteps;
    private getPipelineStepsByIds;
    private getQualifiedStepByPipelineStepIds;
    private getProjectResourceResourceVersionPipelineStepConnection;
    private getTriggerablePipelineSteps;
}
export {};
