"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RunAdjacencyDao = exports.RunDao = void 0;
const data_access_layer_1 = require("@jfrog-pipelines/data-access-layer");
const metadata_1 = require("@jfrog-pipelines/metadata");
const SYSTEM_CODES_BY_NAME = (0, metadata_1.getSystemCodesByName)();
class RunDao extends data_access_layer_1.CrudRepository {
    constructor() {
        super(data_access_layer_1.Run);
    }
    async getWaitingRunsForPipelineId(runIds) {
        if (runIds.length === 0) {
            return [];
        }
        const { creating, ready } = SYSTEM_CODES_BY_NAME;
        const statusCodes = [creating.code, ready.code];
        const builder = new data_access_layer_1.SequelizeQueryBuilder({ sort: -1 });
        builder
            .whereWithOperator('id', runIds, '$in')
            .whereWithOperator('statusCode', statusCodes, '$in')
            .attributes(['id'])
            .sort();
        return this.findAll(builder.build());
    }
}
exports.RunDao = RunDao;
class RunAdjacencyDao extends data_access_layer_1.CrudRepository {
    constructor() {
        super(data_access_layer_1.RunAdjacency);
    }
}
exports.RunAdjacencyDao = RunAdjacencyDao;
//# sourceMappingURL=RunRepository.js.map