import { MasterIntegrationsAttributes, PipelineAttributes, PipelineObjectAttributes, PipelineSourceAttributes, ProjectAttributes, ProjectIntegrationAttributes, ResourceAttributes, RunAttributes } from '@jfrog-pipelines/types';
import { Dictionary } from '@jfrog-pipelines/utility';
declare type CreateHeadJsonPayload = {
    run: RunAttributes;
    project: ProjectAttributes;
    pipelineSource: PipelineSourceAttributes;
    pipeline: PipelineAttributes;
    projectIntegrationsById: Dictionary<ProjectIntegrationAttributes>;
    operationResources: ResourceAttributes[];
    masterIntegrationsById: Dictionary<MasterIntegrationsAttributes>;
    jFrogPipelinesSessionId: string;
};
export declare class CreateHeadJson {
    private readonly run;
    private readonly project;
    private readonly pipelineSource;
    private readonly pipeline;
    private readonly projectIntegrationsById;
    private readonly operationResources;
    private readonly masterIntegrationsById;
    private readonly jFrogPipelinesSessionId;
    private parentRun;
    private readonly runDao;
    private readonly syncRespository;
    constructor(payload: CreateHeadJsonPayload);
    createPipeInfo(): Promise<PipelineObjectAttributes>;
    private validate;
    private getTemplateById;
    private getParentRunById;
    private getParentPipelineById;
    private validateHeadJSON;
    private finalizeHeadJson;
}
export {};
