import { IdentityAttributes, MasterIntegrationsAttributes, MasterResourceAttributes, NodePoolAttributes, PipelineAttributes, PipelineObjectAttributes, PipelineSourceAttributes, PipelineStepAttributes, ProjectIntegrationAttributes, RunAttributes, RunResourceVersionAttributes, StepAttributes } from '@jfrog-pipelines/types';
import { Dictionary } from '@jfrog-pipelines/utility';
declare type CreateStepJsonPayload = {
    step: StepAttributes;
    runResourceVersions: RunResourceVersionAttributes[];
    projectIntegrationsByName: Dictionary<ProjectIntegrationAttributes>;
    masterIntegrationsById: Dictionary<MasterIntegrationsAttributes>;
    masterResourcesById: Dictionary<MasterResourceAttributes>;
    pipelineStepsByName: Dictionary<PipelineStepAttributes>;
    pipeline: PipelineAttributes;
    pipelineSource: PipelineSourceAttributes;
    runNumber: RunAttributes['runNumber'];
    nodePool: NodePoolAttributes;
    triggeredByIdentity: IdentityAttributes;
    jfrogPipelinesSessionId: string;
};
export declare class CreateStepJson {
    private readonly step;
    private readonly runResourceVersions;
    private readonly projectIntegrationsByName;
    private readonly masterIntegrationsById;
    private readonly masterResourcesById;
    private readonly pipelineStepsByName;
    private readonly pipeline;
    private readonly pipelineSource;
    private readonly runNumber;
    private readonly nodePool;
    private readonly triggeredByIdentity;
    private readonly jfrogPipelinesSessionId;
    private readonly syncRespository;
    constructor(payload: CreateStepJsonPayload);
    createPipeInfo(): Promise<PipelineObjectAttributes>;
    private validate;
    private getIntegrationNames;
    private getDisplayName;
    private generateInputIntegrations;
    private getInputStepNames;
    private getStepType;
    private generateInputSteps;
    private getPipelineSourceBranch;
    private getStepJsonInputs;
    private getStepJsonNodePools;
    private getRunResourceVersionsByResourceVersionId;
    private getStepJsonTriggeredBy;
    private getStepJsonPipeline;
    private finalizeStepJson;
}
export {};
