"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepRepository = void 0;
const dependencyInjection_1 = require("../commons/dependencyInjection");
const StepDataAdapterFactory_1 = require("./StepDataAdapterFactory");
class StepRepository {
    constructor() {
        this.adapter = StepDataAdapterFactory_1.StepDataAdapterFactory.create(dependencyInjection_1.AclAdapterDI.api);
    }
    async getWaitingStepsByPipelineIds(pipelineStepIds) {
        return this.adapter.getWaitingStepsByPipelineIds(pipelineStepIds);
    }
    async getStepByStepIds(stepIds) {
        return this.adapter.getStepByStepIds(stepIds);
    }
}
exports.StepRepository = StepRepository;
//# sourceMappingURL=StepRepository.js.map