import { MasterResourceAttributes, PipelineAttributes, PipelineObjectAttributes, PipelineSourceAttributes, PipelineStepAttributes, PipelineStepConnectionAttributes, ResourceAttributes, ResourceVersionAttributes, TemplateAttributes } from '@jfrog-pipelines/types';
import { SyncDataAdaptor } from './SyncDataAdaptor';
export declare class ApiSyncDataAdaptor implements SyncDataAdaptor {
    private readonly client;
    private readonly properties;
    private readonly batchSize;
    constructor();
    getPipelineSteps(ids: number[] | number): Promise<PipelineStepAttributes[]>;
    getResourceVersions(ids: number[]): Promise<ResourceVersionAttributes[]>;
    getResources(ids: number[]): Promise<ResourceAttributes[]>;
    getPipelineStepConnection(projectId: number, resourceIds: number[]): Promise<PipelineStepConnectionAttributes[]>;
    getPipelines(ids: number[]): Promise<PipelineAttributes[]>;
    postPipelineObjects(pipelineObject: Omit<PipelineObjectAttributes, 'id' | 'name'>): Promise<PipelineObjectAttributes>;
    getTemplateById(id: TemplateAttributes['id']): Promise<TemplateAttributes>;
    getPipelineById(id: PipelineAttributes['id']): Promise<PipelineAttributes>;
    getPipelineSource(): PipelineSourceAttributes;
    getPipeline(): PipelineAttributes;
    getMasterResource(): MasterResourceAttributes;
}
