import { MasterResourceAttributes, PipelineAttributes, PipelineObjectAttributes, PipelineSourceAttributes, PipelineStepAttributes, PipelineStepConnectionAttributes, ResourceAttributes, ResourceVersionAttributes, TemplateAttributes } from '@jfrog-pipelines/types';
export interface SyncDataAdaptor {
    getPipelineSteps(pipelineStepIds: number[] | number): Promise<PipelineStepAttributes[]>;
    getResourceVersions(resourceVersionIds: number[]): Promise<ResourceVersionAttributes[]>;
    getResources(resourceIds: ResourceAttributes['id'][]): Promise<ResourceAttributes[]>;
    getPipelineStepConnection(projectId: PipelineStepConnectionAttributes['projectId'], resourceIds: PipelineStepConnectionAttributes['operationResourceId'][]): Promise<PipelineStepConnectionAttributes[]>;
    getPipelines(pipelineIds: PipelineAttributes['id'][]): Promise<PipelineAttributes[]>;
    getPipelineSource(): PipelineSourceAttributes;
    getPipeline(): PipelineAttributes;
    getPipelineById(id: PipelineAttributes['id']): Promise<PipelineAttributes>;
    getMasterResource(): MasterResourceAttributes;
    postPipelineObjects(pipelineObject: Omit<PipelineObjectAttributes, 'id' | 'name'>): Promise<PipelineObjectAttributes>;
    getTemplateById(id: TemplateAttributes['id']): Promise<TemplateAttributes>;
}
