import { PipelineAttributes, PipelineObjectAttributes, PipelineStepAttributes, PipelineStepConnectionAttributes, ResourceVersionAttributes, StepAttributes, TemplateAttributes } from '@jfrog-pipelines/types';
import { Dictionary } from '@jfrog-pipelines/utility';
export declare class SyncRepository {
    private readonly adapter;
    private readonly stepRepository;
    constructor();
    getProjectResourceResourceVersionPipelineStepConnection(resourceVersionIds: number[]): Promise<{
        stepIdsToCheck: ResourceVersionAttributes['createdByStepId'][];
        qualifiedResourceVersionsByResourceId: Dictionary<ResourceVersionAttributes[]>;
        resourceVersionList: ResourceVersionAttributes[];
        inResourceConnections: PipelineStepConnectionAttributes[];
        outResourceConnections: PipelineStepConnectionAttributes[];
        pipelines: PipelineAttributes[];
        skipPipelineIdIfWaiting: PipelineAttributes['id'][];
    }>;
    getPipelineStepsByPipelineStepIds(pipelineStepIds: PipelineStepAttributes['id'][]): Promise<PipelineStepAttributes[]>;
    getQualifiedStepByPipelineStepIds(pipelineStepIds: number[] | number): Promise<PipelineStepAttributes['id'][]>;
    getMatchingRunIds(pipelineIds: PipelineStepConnectionAttributes['id'][], inResourceConnections: PipelineStepConnectionAttributes[]): Promise<StepAttributes['runId'][]>;
    postPipelineObjects(pipelineObject: Omit<PipelineObjectAttributes, 'id' | 'name'>): Promise<PipelineObjectAttributes>;
    getTemplateById(id: TemplateAttributes['id']): Promise<TemplateAttributes>;
    getPipelineById(id: PipelineAttributes['id']): Promise<PipelineAttributes>;
    private getResourceVersions;
    private getProjectId;
    private getPinnedQualifiedStepIdsTuple;
    private getResourceConnection;
    private getTriggerConnectedPipelineIds;
    private getSkipPipelineIdIfWaiting;
    private isDependencyModeEnabled;
    private getUnique;
}
