import { RunResourceVersionAttributes, StepAttributes } from '@jfrog-pipelines/types';
import { Dictionary } from '@jfrog-pipelines/utility';
import { Assembler } from './Assembler';
import { InputStep } from './inputStep/InputStep';
export declare type ResourcesNodesByName = {
    [key: string]: DependencyNode[];
};
export declare type DependencyNode = {
    step: StepAttributes | null;
    runResourceVersion: RunResourceVersionAttributes | null;
    inputs: DependencyNode[];
    outputs: DependencyNode[];
};
export declare class DependencyGraph implements Assembler<Dictionary<DependencyNode>> {
    private readonly inputSteps;
    private readonly logger;
    constructor(inputSteps: InputStep);
    populate(): Dictionary<DependencyNode>;
    private initStepDependencyNodes;
    private initConnectionDependencies;
    private processStepConnections;
    private createConnectedResource;
    private createConnectedStepNode;
    private populateConnectionIO;
    private populateResourceIO;
    private processResourceInputOutputs;
    private hasValidOperationId;
}
