"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getInputStepMap = exports.createRunAdjacencyRecords = void 0;
const utility_1 = require("@jfrog-pipelines/utility");
function createRunAdjacencyRecords(baseRunAdjacencyObject, step, steplets, dependentEntity) {
    const runAdjacencyRecords = [];
    for (const steplet of steplets) {
        runAdjacencyRecords.push({
            ...baseRunAdjacencyObject,
            ...dependentEntity,
            affinityGroup: steplet.affinityGroup,
            stepId: step.id,
            stepletId: steplet.id
        });
    }
    return runAdjacencyRecords;
}
exports.createRunAdjacencyRecords = createRunAdjacencyRecords;
function getInputStepMap(dependendencyNodes) {
    const steps = dependendencyNodes;
    const inputStepMap = {};
    for (const key in steps) {
        const stepId = Number.parseInt(key, 10);
        const { inputs } = steps[stepId];
        const inputStepIds = (0, utility_1.map)(inputs.filter((input) => input.step?.id !== undefined), (input) => input.step.id);
        inputStepMap[stepId] = inputStepIds;
    }
    return inputStepMap;
}
exports.getInputStepMap = getInputStepMap;
//# sourceMappingURL=Utils.js.map