"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
const AssemblerFactory_1 = require("../AssemblerFactory");
const ApiDataLoader_1 = require("../dataLoader/ApiDataLoader");
class MockApiDataLoader extends ApiDataLoader_1.ApiDataLoader {
}
jest.mock('@jfrog-pipelines/configuration', () => ({
    ConfigFactory: {
        config: {
            apiUrl: 'http://example.com',
            controlPlaneVersion: '1.23.6'
        }
    }
}));
jest.mock('@jfrog-pipelines/logger', () => {
    return {
        ...jest.requireActual('@jfrog-pipelines/logger'),
        LoggerFactory: {
            getLogger: jest.fn().mockReturnValue({
                info: jest.fn(),
                error: jest.fn(),
                debug: jest.fn(),
                trace: jest.fn(),
                warn: jest.fn()
            }),
            configure: jest.fn()
        }
    };
});
const pipelinesClient = new internal_clients_1.PipelinesClient(0, 'token');
const mockApiDataLoader = new MockApiDataLoader(pipelinesClient);
describe('AssemblerFactory tests', () => {
    it('should be defined', () => {
        const factory = new AssemblerFactory_1.AssemblerFactory();
        expect(factory).toBeDefined();
    });
});
describe('AssemblerFactory getAssemblers', () => {
    it('should get assemblers', async () => {
        const output = await AssemblerFactory_1.AssemblerFactory.getAssemblers({}, {}, [], [], [], [], mockApiDataLoader);
        expect(output).toBeDefined();
    });
});
//# sourceMappingURL=AssemblerFactory.test.js.map