"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Chronological_1 = require("../chronological/Chronological");
const DependencyMode_1 = require("../dependencyMode/DependencyMode");
const InputStep_1 = require("../inputStep/InputStep");
const RunAdjacencyComputerChain_1 = require("../RunAdjacencyComputerChain");
jest.mock('@jfrog-pipelines/logger', () => {
    return {
        ...jest.requireActual('@jfrog-pipelines/logger'),
        LoggerFactory: {
            getLogger: jest.fn().mockReturnValue({
                info: jest.fn(),
                error: jest.fn(),
                debug: jest.fn(),
                trace: jest.fn(),
                warn: jest.fn()
            }),
            configure: jest.fn()
        }
    };
});
describe('RunAdjacencyComputerChain test cases', () => {
    const steps = [
        {
            id: 1,
            affinityGroup: 'one',
            configPropertyBag: {
                requiresApproval: true
            }
        },
        {
            id: 2,
            affinityGroup: 'one'
        },
        {
            id: 3,
            affinityGroup: 'three'
        },
        {
            id: 4,
            affinityGroup: 'three'
        }
    ];
    const steplets = [
        {
            id: 1,
            stepId: 1,
            affinityGroup: 'one'
        },
        {
            id: 2,
            stepId: 2,
            affinityGroup: 'one'
        },
        {
            id: 3,
            stepId: 3,
            affinityGroup: 'three'
        },
        {
            id: 4,
            stepId: 4,
            affinityGroup: 'three'
        }
    ];
    const runResourceVersions = [
        {
            id: 1
        }
    ];
    const runStepConnections = [
        {
            id: 1,
            stepId: 1
        }
    ];
    const inputStep = new InputStep_1.InputStep(steps, steplets, runResourceVersions, runStepConnections);
    const chronological = new Chronological_1.Chronological([], {});
    const dependencyMode = new DependencyMode_1.DependencyMode();
    const chain = new RunAdjacencyComputerChain_1.RunAdjacencyComputerChain({}, inputStep, chronological, dependencyMode);
    it('should be defined', () => {
        expect(chain).toBeDefined();
    });
    it('should handle', () => {
        jest.spyOn(chronological, 'getPreviousSteps').mockReturnValue([]);
        const output = chain.compute();
        expect(output).toBeDefined();
    });
});
//# sourceMappingURL=RunAdjacencyComnputerChain.test.js.map