import { RunAttributes, StepAttributes } from '@jfrog-pipelines/types';
import { type Dictionary } from '@jfrog-pipelines/utility';
export declare type ChronologicalStep = {
    step: StepAttributes;
    previousStep: StepAttributes;
};
export declare class Chronological {
    private readonly chronologicalSteps;
    private readonly chronologicalStepsByPipelineStepId;
    private innerPreviousSteps;
    private innerPipelineFlag;
    private innerPreviousRun;
    constructor(chronologicalSteps: StepAttributes[], chronologicalStepsByPipelineStepId: Dictionary<StepAttributes>);
    hasStepEnabled(): boolean;
    setPreviousSteps(chronologicalSteps: ChronologicalStep[]): void;
    getPreviousSteps(): ChronologicalStep[];
    setPipelineFlagEnabled(hasPipelineEnabled: boolean): void;
    hasPipelineFlagEnabled(): boolean;
    setPreviousRun(previousRun: RunAttributes | null): void;
    getPreviousRun(): RunAttributes | null;
    getChronologicalStepsByPipelineStepIdMap(): Dictionary<StepAttributes>;
    getChronologicalStepsByPipelineStepId(id: number): StepAttributes;
}
