"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Chronological = void 0;
class Chronological {
    constructor(chronologicalSteps, chronologicalStepsByPipelineStepId) {
        this.chronologicalSteps = chronologicalSteps;
        this.chronologicalStepsByPipelineStepId = chronologicalStepsByPipelineStepId;
        this.innerPreviousRun = null;
    }
    hasStepEnabled() {
        return this.chronologicalSteps.length > 0;
    }
    setPreviousSteps(chronologicalSteps) {
        this.innerPreviousSteps = chronologicalSteps;
    }
    getPreviousSteps() {
        return this.innerPreviousSteps;
    }
    setPipelineFlagEnabled(hasPipelineEnabled) {
        this.innerPipelineFlag = hasPipelineEnabled;
    }
    hasPipelineFlagEnabled() {
        return this.innerPipelineFlag;
    }
    setPreviousRun(previousRun) {
        this.innerPreviousRun = previousRun;
    }
    getPreviousRun() {
        return this.innerPreviousRun;
    }
    getChronologicalStepsByPipelineStepIdMap() {
        return this.chronologicalStepsByPipelineStepId;
    }
    getChronologicalStepsByPipelineStepId(id) {
        return this.chronologicalStepsByPipelineStepId[id];
    }
}
exports.Chronological = Chronological;
//# sourceMappingURL=Chronological.js.map