import { PipelineAttributes, RunAttributes, StepAttributes } from '@jfrog-pipelines/types';
import { Assembler } from '../Assembler';
import { DataLoader } from '../dataLoader/DataLoader';
import { Chronological } from './Chronological';
export declare class ChronologicalAssembler implements Assembler<Chronological> {
    private readonly stepAttributes;
    private readonly pipeline;
    private readonly run;
    private readonly dataLoader;
    private readonly logger;
    constructor(stepAttributes: StepAttributes[], pipeline: PipelineAttributes, run: RunAttributes, dataLoader: DataLoader);
    populate(): Promise<Chronological>;
    private isChronologicalPipelineEnabled;
    private getPreviousSteps;
    private mapChronologicalSteps;
    private filterPreviousStep;
    private getPreviousRun;
    private filterPreviousRun;
}
