"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChronologicalComputerChain = void 0;
const AbstractHandler_1 = require("../chain/AbstractHandler");
const ChronologicalRunHandler_1 = require("../chronological/ChronologicalRunHandler");
const ChronologicalStepHandler_1 = require("../chronological/ChronologicalStepHandler");
class ChronologicalComputerChain extends AbstractHandler_1.AbstractHandler {
    constructor(step, chronological, firstSteps) {
        super();
        this.step = step;
        this.chronological = chronological;
        this.firstSteps = firstSteps;
    }
    handle(context) {
        const chronologicalRunHandler = new ChronologicalRunHandler_1.ChronologicalRunHandler(this.step, this.chronological, this.firstSteps);
        const chronologicalStepHandler = new ChronologicalStepHandler_1.ChronologicalStepHandler(this.step, this.chronological);
        chronologicalRunHandler.setNext(chronologicalStepHandler);
        chronologicalRunHandler.handle(context);
        super.handle(context);
    }
}
exports.ChronologicalComputerChain = ChronologicalComputerChain;
//# sourceMappingURL=ChronologicalComputerChain.js.map