"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utility_1 = require("@jfrog-pipelines/utility");
const Chronological_1 = require("../Chronological");
describe('Chronological tests cases', () => {
    it('chronological should be defined', () => {
        const chronlogical = new Chronological_1.Chronological([], {});
        expect(chronlogical).toBeDefined();
    });
});
describe('chronological should be defined with chronologicalSteps and chronologicalStepsByPipelineStepId', () => {
    const chronlogicalSteps = [
        {
            id: 1,
            pipelineStepId: 1
        },
        {
            id: 2,
            pipelineStepId: 2
        }
    ];
    const chronologicalStepsByPipelineStepId = (0, utility_1.keyBy)(chronlogicalSteps, 'pipelineStepId');
    const chronlogical = new Chronological_1.Chronological(chronlogicalSteps, chronologicalStepsByPipelineStepId);
    it('should be defined', () => {
        expect(chronlogical).toBeDefined();
    });
    it('should get has stepEnabled', () => {
        expect(chronlogical.hasStepEnabled()).toBe(true);
    });
    it('should get and set previous steps', () => {
        chronlogical.setPreviousSteps([]);
        expect(chronlogical.getPreviousSteps()).toStrictEqual([]);
    });
    it('should get and set pipelineFlagEnabled', () => {
        chronlogical.setPipelineFlagEnabled(true);
        expect(chronlogical.hasPipelineFlagEnabled()).toStrictEqual(true);
    });
    it('should get and set previousRun', () => {
        chronlogical.setPreviousRun({ id: 1 });
        expect(chronlogical.getPreviousRun()).toStrictEqual({ id: 1 });
    });
    it('should getChronologicalStepsByPipelineStepIdMap', () => {
        const chronologicalStepsByPipelineStepId = (0, utility_1.keyBy)(chronlogicalSteps, 'pipelineStepId');
        expect(chronlogical.getChronologicalStepsByPipelineStepIdMap()).toStrictEqual(chronologicalStepsByPipelineStepId);
    });
    it('should getChronologicalStepsByPipelineStepId', () => {
        expect(chronlogical.getChronologicalStepsByPipelineStepId(1)).toStrictEqual({
            id: 1,
            pipelineStepId: 1
        });
    });
});
//# sourceMappingURL=chronological.test.js.map