"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ChronologicalComputerChain_1 = require("../ChronologicalComputerChain");
const ChronologicalRunHandler_1 = require("../ChronologicalRunHandler");
jest.mock('@jfrog-pipelines/logger', () => {
    return {
        ...jest.requireActual('@jfrog-pipelines/logger'),
        LoggerFactory: {
            getLogger: jest.fn().mockReturnValue({
                info: jest.fn(),
                error: jest.fn(),
                debug: jest.fn(),
                trace: jest.fn(),
                warn: jest.fn()
            }),
            configure: jest.fn()
        }
    };
});
describe('ChronologicalComputerChain int', () => {
    it('should be defined', () => {
        const chronlogicalComputerChain = new ChronologicalComputerChain_1.ChronologicalComputerChain({}, {}, []);
        expect(chronlogicalComputerChain).toBeDefined();
    });
    it('should call handle with context', () => {
        const chronlogicalComputerChain = new ChronologicalComputerChain_1.ChronologicalComputerChain({}, {}, []);
        const chronlogicalRunHandlerSpy = jest.spyOn(ChronologicalRunHandler_1.ChronologicalRunHandler.prototype, 'setNext').mockReturnThis();
        const chronlogicalRunHandlerHandleSpy = jest.spyOn(ChronologicalRunHandler_1.ChronologicalRunHandler.prototype, 'handle').mockReturnValue();
        const context = {};
        chronlogicalComputerChain.handle(context);
        expect(chronlogicalRunHandlerSpy).toHaveBeenCalledTimes(1);
        expect(chronlogicalRunHandlerHandleSpy).toHaveBeenCalledTimes(1);
    });
});
//# sourceMappingURL=chronologicalComputerChain.test.js.map