import { PipelinesClient } from '@jfrog-pipelines/internal-clients';
import { PipelineAttributes, PipelineStepConnectionAttributes, RunAttributes, StepAttributes } from '@jfrog-pipelines/types';
import { DataLoader } from '../dataLoader/DataLoader';
export declare class ApiDataLoader implements DataLoader {
    private readonly pipelinesClient;
    private readonly logger;
    constructor(pipelinesClient: PipelinesClient);
    getPipelines(query: string): Promise<PipelineAttributes[]>;
    getPipelineStepConnections(query: string): Promise<PipelineStepConnectionAttributes[]>;
    getRuns(query: string): Promise<RunAttributes[]>;
    getChronologicalSteps(query: string): Promise<StepAttributes[]>;
    private getPipelinesForQuey;
    private getPipelineStepConnectionsForQuey;
    private getRunsForQuey;
    private getStepsForQuery;
}
