import { PipelineStepConnectionAttributes } from '@jfrog-pipelines/types';
declare type DependencyModeKeys = 'waitOnParentComplete' | 'waitOnChildComplete' | 'waitOnParentSuccess';
declare type PipelineStepConnectionKeys = 'inputConnections' | 'outputConnections';
export declare type DependencyModeSettings = {
    [key in DependencyModeKeys]?: boolean;
};
export declare type DependencyModePipelines = {
    [key in `${DependencyModeKeys}PipelineIds`]: number[];
};
export declare type PipelineStepConnectionInputOutput = {
    [key in PipelineStepConnectionKeys]: PipelineStepConnectionAttributes[];
};
export declare class DependencyMode {
    private dependencyModePipelines;
    private hasDependencyModeEnabled;
    private dependencyModeSettings;
    setIsDependencyModeEnabled(hasDependencyModeEnabled: boolean): void;
    setDependencyModeSettings(settings: DependencyModeSettings): void;
    getDependencyModeSettings(): DependencyModeSettings;
    isDependencyModeEnabled(): boolean;
    setDependencyModePipelines(pipelines: DependencyModePipelines): void;
    getDependencyModePipelines(): DependencyModePipelines;
}
export {};
