import { PipelineAttributes } from '@jfrog-pipelines/types';
import { Assembler } from '../Assembler';
import { DataLoader } from '../dataLoader/DataLoader';
import { DependencyMode, DependencyModePipelines } from './DependencyMode';
export declare class DependencyModeAssembler implements Assembler<DependencyMode> {
    private readonly pipeline;
    private readonly dataLoader;
    private readonly logger;
    dependencyModePipelines: DependencyModePipelines;
    constructor(pipeline: PipelineAttributes, dataLoader: DataLoader);
    populate(): Promise<DependencyMode>;
    private isDependencyModeEnabled;
    private get dependencyMode();
    private getDependencyModePipelines;
    private computePotentialConnectingResourceIds;
    private getInputAndOutputPipelineStepConnections;
    private computePotentialInputsAndOutputsForResourceId;
    private checkCommonPipelines;
    private computeParentPipelines;
    private computeChildPipelines;
    private computeWaitOnParentComplete;
    private computeWaitOnParentSuccess;
    private computeWaitOnChildComplete;
    private computeDependencyModePipelines;
    private getPipelineStepConnectionsForPipelineId;
    private getPotentialInputs;
    private getPotentialOutputs;
}
