"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DependencyModeHandlerChain = void 0;
const AbstractHandler_1 = require("../chain/AbstractHandler");
const WaitOnChildCompleteDependencyModeHandler_1 = require("./WaitOnChildCompleteDependencyModeHandler");
const WaitOnParentCompleteDependencyModeHandler_1 = require("./WaitOnParentCompleteDependencyModeHandler");
const WaitOnParentSuccessDependencyModeHandler_1 = require("./WaitOnParentSuccessDependencyModeHandler");
class DependencyModeHandlerChain extends AbstractHandler_1.AbstractHandler {
    constructor(step, dependencyMode, firstSteps) {
        super();
        this.step = step;
        this.dependencyMode = dependencyMode;
        this.firstSteps = firstSteps;
    }
    handle(context) {
        if (!this.dependencyMode.isDependencyModeEnabled()) {
            super.handle(context);
            return;
        }
        this.dependencyModeChain(context);
        super.handle(context);
    }
    dependencyModeChain(context) {
        const waitOnChildCompleteDependencyModeHandler = new WaitOnChildCompleteDependencyModeHandler_1.WaitOnChildCompleteDependencyModeHandler(this.step, this.dependencyMode, this.firstSteps);
        const waitOnParentCompleteDependencyModeHandler = new WaitOnParentCompleteDependencyModeHandler_1.WaitOnParentCompleteDependencyModeHandler(this.step, this.dependencyMode, this.firstSteps);
        const waitOnParentSuccessDependencyModeHandler = new WaitOnParentSuccessDependencyModeHandler_1.WaitOnParentSuccessDependencyModeHandler(this.step, this.dependencyMode, this.firstSteps);
        waitOnParentCompleteDependencyModeHandler
            .setNext(waitOnChildCompleteDependencyModeHandler)
            .setNext(waitOnParentSuccessDependencyModeHandler);
        waitOnParentCompleteDependencyModeHandler.handle(context);
    }
}
exports.DependencyModeHandlerChain = DependencyModeHandlerChain;
//# sourceMappingURL=DependencyModeHandlerChain.js.map