"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DependencyMode_1 = require("../DependencyMode");
describe('DependencyMode class init', () => {
    const dependencyMode = new DependencyMode_1.DependencyMode();
    it('should define dependencyMode', () => {
        expect(dependencyMode).toBeDefined();
    });
    it('should setIsDependencyModeEnabled', () => {
        dependencyMode.setIsDependencyModeEnabled(true);
        expect(dependencyMode.isDependencyModeEnabled()).toBe(true);
    });
    it('should setDependencyModeSettings', () => {
        dependencyMode.setDependencyModeSettings({
            waitOnChildComplete: true
        });
        expect(dependencyMode.getDependencyModeSettings()).toStrictEqual({
            waitOnChildComplete: true
        });
    });
    it('should setDependencyModePipelines', () => {
        const dependencyModePipelines = {
            waitOnChildCompletePipelineIds: [1],
            waitOnParentCompletePipelineIds: [],
            waitOnParentSuccessPipelineIds: []
        };
        dependencyMode.setDependencyModePipelines(dependencyModePipelines);
        expect(dependencyMode.getDependencyModePipelines()).toStrictEqual(dependencyModePipelines);
    });
});
//# sourceMappingURL=dependencyMode.test.js.map