import { RunResourceVersionAttributes, RunStepConnectionAttributes, StepAttributes, StepletAttributes } from '@jfrog-pipelines/types';
export declare class InputStep {
    private readonly steps;
    private readonly steplets;
    readonly runResourceVersions: RunResourceVersionAttributes[];
    readonly runStepConnections: RunStepConnectionAttributes[];
    private readonly stepsById;
    private readonly stepletsByStepId;
    private readonly stepsByAffinityGroup;
    private readonly runResourcesById;
    private readonly runStepConnectionsByStepId;
    constructor(steps: StepAttributes[], steplets: StepletAttributes[], runResourceVersions: RunResourceVersionAttributes[], runStepConnections: RunStepConnectionAttributes[]);
    getStepletsByStepId(stepId: number): StepletAttributes[];
    getStepsByAffinityGroup(affinityGroup: string): StepAttributes[];
    getStepById(stepId: number): StepAttributes | null;
    getApprovalGatesEnabledSteps(): StepAttributes[];
    getFirstSteps(inputStepMap: {
        [key: number]: number[] | null;
    }): StepAttributes[];
    getSteps(): StepAttributes[];
    getRunResourceVersions(): RunResourceVersionAttributes[];
    getRunResourceVersionById(id: number): RunResourceVersionAttributes | null;
    getRunStepConnectionsByStepId(stepId: number): RunStepConnectionAttributes[] | null;
}
