"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputStepAssembler = void 0;
const logger_1 = require("@jfrog-pipelines/logger");
const InputStep_1 = require("./InputStep");
class InputStepAssembler {
    constructor(steps, steplets, runResourceVersions, runStepConnections) {
        this.steps = steps;
        this.steplets = steplets;
        this.runResourceVersions = runResourceVersions;
        this.runStepConnections = runStepConnections;
        this.logger = logger_1.LoggerFactory.getLogger('InputStepAssembler');
    }
    populate() {
        const step = new InputStep_1.InputStep(this.steps, this.steplets, this.runResourceVersions, this.runStepConnections);
        this.logger.debug('Populated step object');
        return step;
    }
}
exports.InputStepAssembler = InputStepAssembler;
//# sourceMappingURL=InputStepAssembler.js.map