"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const InputStep_1 = require("../InputStep");
describe('InputStep test cases', () => {
    it('should be defined', () => {
        const inputStep = new InputStep_1.InputStep([], [], [], []);
        expect(inputStep).toBeDefined();
    });
});
describe('InputStep methods', () => {
    const steps = [
        {
            id: 1,
            affinityGroup: 'one',
            configPropertyBag: {
                requiresApproval: true
            }
        },
        {
            id: 2,
            affinityGroup: 'one'
        },
        {
            id: 3,
            affinityGroup: 'three'
        },
        {
            id: 4,
            affinityGroup: 'three'
        }
    ];
    const steplets = [
        {
            id: 1,
            stepId: 1,
            affinityGroup: 'one'
        },
        {
            id: 2,
            stepId: 2,
            affinityGroup: 'one'
        },
        {
            id: 3,
            stepId: 3,
            affinityGroup: 'three'
        },
        {
            id: 4,
            stepId: 4,
            affinityGroup: 'three'
        }
    ];
    const runResourceVersions = [
        {
            id: 1
        }
    ];
    const runStepConnections = [
        {
            id: 1,
            stepId: 1
        }
    ];
    const inputStep = new InputStep_1.InputStep(steps, steplets, runResourceVersions, runStepConnections);
    it('should getStepletsByStepId', () => {
        const steplets = inputStep.getStepletsByStepId(1);
        expect(steplets).toBeDefined();
        expect(steplets).toHaveLength(1);
    });
    it('should getStepsByAffinityGroup', () => {
        const steps = inputStep.getStepsByAffinityGroup('one');
        expect(steps).toBeDefined();
        expect(steps).toHaveLength(2);
    });
    it('should getStepById', () => {
        const step = inputStep.getStepById(2);
        expect(step).toBeDefined();
        expect(step).toStrictEqual({
            id: 2,
            affinityGroup: 'one'
        });
    });
    it('should getSteps', () => {
        const actualSteps = inputStep.getSteps();
        expect(actualSteps).toBeDefined();
        expect(actualSteps).toStrictEqual(steps);
    });
    it('should getFirstSteps', () => {
        const actualSteps = inputStep.getFirstSteps({});
        expect(actualSteps).toBeDefined();
        expect(actualSteps).toStrictEqual(steps);
    });
    it('should getApprovalGatesEnabledSteps', () => {
        const actualSteps = inputStep.getApprovalGatesEnabledSteps();
        expect(actualSteps).toBeDefined();
        expect(actualSteps).toStrictEqual([
            {
                id: 1,
                affinityGroup: 'one',
                configPropertyBag: {
                    requiresApproval: true
                }
            }
        ]);
    });
});
//# sourceMappingURL=InputStep.test.js.map